Show / Hide Table of Contents

# Struct ConfigModule.Option

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Misc

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct Option

### Fields

| Improve this Doc View Source

#### OptionID

##### Declaration

    public ConfigOption OptionID

##### Field Value

Type | Description
--- | ---
ConfigOption |

| Improve this Doc View Source

#### Size

##### Declaration

    public const int Size = 32

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Unk00

##### Declaration

    public void *Unk00

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### Unk08

##### Declaration

    public ulong Unk08

##### Field Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### Unk14

##### Declaration

    public uint Unk14

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Unk18

##### Declaration

    public uint Unk18

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Unk1C

##### Declaration

    public ushort Unk1C

##### Field Value

Type | Description
--- | ---
System.UInt16 |

### Methods

| Improve this Doc View Source

#### GetName()

##### Declaration

    public string GetName()

##### Returns

Type | Description
--- | ---
System.String |